" This line should not be removed as it ensures that various options are
" properly set to work with the Vim-related packages available in Debian.
runtime! debian.vim

{% if glxclans_system_base_vimrc.syntax | default(true) %}
syntax on
{% endif %}
" turn on this option as well

set background={{ glxclans_system_base_vimrc.background | default('dark') }}

if filereadable("/etc/vim/vimrc.local")
  source /etc/vim/vimrc.local
endif

set tabstop={{ glxclans_system_base_vimrc.tabstop }}
set shiftwidth={{ glxclans_system_base_vimrc.shiftwidth }}

set mouse={{ glxclans_system_base_vimrc.mouse | default('') }}
set ttymouse={{ glxclans_system_base_vimrc.ttymouse | default('') }}

{% if glxclans_system_base_vimrc.expandtab %}
set expandtab
{% endif %}
{% if glxclans_system_base_vimrc.noautoindent %}
set noautoindent
{% endif %}
